<?
# Автор движка: InstalScript
# vk.com/k.karamin  - Я Вк
# bymas.ru/id3741  - Я на бумасе
# Специально для обитателей bymas.ru
# Ток на бумасе можно найти моды для данного движка

require_once($_SERVER['DOCUMENT_ROOT']."/instalscript/game/inc/function.php");
head("Профиль",$uid);

echo "

<div class = 'trnt-block'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'wrap-content'>";

echo logs();logn();

if(abs($is['1']) != null){
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".abs($is['1'])."' "));
$ok_id = '1';
if($user == null){logi("Танкист не найден");header("Location:/profile/");exit();}
}
switch($is['1']){
default:
echo "
<div class = 'white medium bold cntr mb2'>Личное дело &quot;".$user['nick']."&quot;</div>
<div class = 'trnt-block mb2'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'wrap-content'>
<div class = 'thumb fl'><a w:id = 'avatarStoreLink' href = '/profile/avatars/'><img alt = 'avatar' w:id = 'avatarImage' src = '/instalscript/images/avatars/".$user['ava']." '><span class = 'mask1'>&nbsp;</span></a></div>
<div class = 'ml58 small white sh_b bold'>

<img class = 'vb' src = '/instalscript/images/icons/".user($uid,'side').".png' title = '".user($uid,'side-text')."'>
<span class = 'green2'>".$user['nick']."</span><br>
Звание: <span w:id = 'rank'>кадет</span><br>
Уровень: ".$user['level']."<br>
</div>
<div class = 'clrb'></div>
<span class = 'small white sh_b bold' w:id = 'experience'>Опыт: ".$user['exp']." из ".userlevel($user['level'])."</span>
</div>
</div></div></div></div></div></div></div></div>
</div>";
if($user['id'] == $uid){

echo "
<table>
<tbody><tr>
<td class = 'w50 p1'>
<div style='position:relative;'>
<a class = 'simple-but border mb5' w:id = 'mailLink' href='/profile/pm/'><span><span>Почта</span></span></a>";
if($msg_new != null){echo "<span class = 'digit esmall'><span class = 'l'>&nbsp;</span><span class = 'm'>+</span><span class = 'r'>&nbsp;</span></span>";}
echo "</div>
</td>
<td class = 'w50 p1'>
<div style='position:relative;'>
<a class = 'simple-but border mb5' w:id = 'trofiesLink' href = '/profile/trofies/'><span><span>Трофеи</span></span></a>
</div>
</td>
</tr>
</tbody></table>
";
}else{
echo "<table class = 'prf-btns esmall bold'>";
echo "<tbody>";
echo "<tr>";
echo"<td colspan = '2'><a class = 'simple-but border mb2' w:id = 'sendMessageLink' href = '/profile/new-pm/".$user['id']."/'><span><span>Отправить почту</span></span></a></td></tr>";
$friend = mysql_fetch_assoc(mysql_query("SELECT * FROM `ufriend` WHERE `uid` = '".$uid."' AND `idu` = '".$user['id']."' "));
if($friend == null or $friend['type'] == '2'){$text_friend = 'Добавить в контакты';}else{$text_friend = 'Удалить из контактов';}
echo"<td><a class = 'simple-but border mb2' w:id = 'sendMessageLink' href = '/profile/".$user['id']."/friend/'><span><span>".$text_friend."</span></span></a></td>";
if($friend['type'] == '2'){$text_lock = 'Разблокировать';}else{$text_lock = 'Заблокировать';}

if($is['2'] == 'friend'){
if($friend != null && $friend['type'] == '2'){
logi("Вы занесли танкиста в список контактов");
mysql_query("UPDATE `ufriend` SET `type` = '1' WHERE `id` = '".$friend['id']."' ");
}else{

if($friend == null){
logi("Вы занесли танкиста в список контактов");
mysql_query("INSERT INTO `ufriend` SET `uid` = '".$uid."',`idu` = '".$user['id']."',`type` = '1',`time` = '".(time())."' ");
}else{
logi("Танкист удалён из друзей");
mysql_query("DELETE FROM `ufriend` WHERE `uid` = '".$uid."' AND `idu` = '".$user['id']."' ");
}

}

header("Location:/profile/".$user['id']."/");
exit();
}


echo"<td><a class = 'simple-but border mb2' w:id = 'sendMessageLink' href = '/profile/".$user['id']."/lock/'><span><span>".$text_lock."</span></span></a></td>";
if($is['2'] == 'lock'){
if($friend != null){

logi("Вы занесли танкиста в список врагов");
mysql_query("UPDATE `ufriend` SET `type` = '2' WHERE `uid` = '".$uid."' AND `idu` = '".$user['id']."' ");
if($friend['type'] == '2'){
logi("Вы вычеркнули танкиста из списка врагов");
mysql_query("DELETE FROM `ufriend` WHERE `uid` = '".$uid."' AND `idu` = '".$user['id']."' ");
# mysql_query("UPDATE `ufriend` SET `type` = '1' WHERE `uid` = '".$uid."' AND `idu` = '".$user['id']."' ");
}
}else{
logi("Вы занесли танкиста в список врагов");
mysql_query("INSERT INTO `ufriend` SET `type` = '2',`uid` = '".$uid."',`idu` = '".$user['id']."',`time` = '".(time())."' ");
}
header("Location:/profile/".$user['id']."/");
exit();
}
echo "</table>";
echo "</tbody>";
}

echo "<table class = 'prf-btns esmall bold'>";
echo "<tbody>";
echo "<tr>";
if($ok_id != null){$did = $user['id']."/";}
echo "<td><a class = 'white' w:id = 'trainingLink' href = '/profile/training/".$did."'><img class = 'thumb' src = '/instalscript/images/profile/training.jpg'>Тренировка</a></td>";
echo "<td><a class = 'white' w:id = 'skillsLink' href = '/profile/skills/".$did."'><img class = 'thumb' src = '/instalscript/images/profile/combatSkills.jpg'>Умения</a></td>";
echo "<td><a class = 'white' w:id = 'crewLink' href = '/profile/crew/".$did."'><img class = 'thumb' src = '/instalscript/images/profile/crew.png'>Экипаж</a></td>";
echo "</tr>";

if($user['id'] == $uid){
echo "<tr>";
echo "<td><a class = 'white' w:id = 'premiumLink' href = '/settings/'><img class = 'thumb' src = '/instalscript/images/profile/settings.jpg'>Настройки</a></td>";
echo "<td><a class = 'white' w:id = 'premiumLink' href = '/profile/vip/'><img class = 'thumb' src = '/instalscript/images/profile/premium.jpg'>Усиления</a></td>";
echo "<td><a class = 'white' w:id = 'shellSkillsLink' href = '/profile/shellskills/'><img class = 'thumb' src = '/instalscript/images/profile/shellSkills.jpg'>Навыки</a></td>";
echo "</tr>";
}
echo "</tbody></table>";

if($user['id'] != $uid){
echo "
<div class = 'trnt-block mb6'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'wrap-content'>
";
$tnk = mysql_fetch_assoc(mysql_query("SELECT * FROM `utank` WHERE `uid` = '".$user['id']."' AND `act` = '1' "));
if($tnk != null){
$tnk_sh = mysql_fetch_assoc(mysql_query("SELECT * FROM `tank` WHERE `id` = '".$tnk['tid']."' "));

echo "<table>";
echo "<tbody>";
echo "<tr>";

echo "<td class = 'cntr'><img class = 'tank-img' alt = 'tank' w:id = 'tankImage' src = '/tankimage_".$tnk_sh['id']."_1.jpg' ></td>";

echo "
<td class = 'esmall bold green2 pl5 sh_b va_m '>
Уровень <span class = 'green2'>".$tnk_sh['level']."</span><br>
Тип <span class = 'green2'>".ttype($tnk_sh['type'])."</span><br>
Страна <span class = 'green2'><img src = '".country($tnk_sh['country'],'img')."'>".country($tnk_sh['country'],'text')."</span><br>
<img src = '/instalscript/images/icons/damage.jpg'>Урон <span class = 'green2'>".$tnk['ha']."</span><br>
<img src = '/instalscript/images/icons/armor.jpg'>Броня <span class = 'green2'>".$tnk['hb']."</span><br>
<img src = '/instalscript/images/icons/durability.jpg'>Прочность <span class = 'green2'>".$tnk['ho']."</span><br>
<img src = '/instalscript/images/icons/accuracy.jpg'>Точность <span class = 'green2'>".$tnk['hc']."</span><br>
</td>
";



echo "</tr>";
echo "</tbody>";
echo "</table>";
}else{
echo "<div class = 'cntr'>У игрока нет танка</div>";
}

echo "<div class = 'cntr mb5'>";


# ocenka($tnk['id']);

echo "
</div>
</div>
</div></div></div></div></div></div></div></div>
</div>
";


}

/*
echo "
<div class = 'bot'>
<div class = 'weapon-panel'>
<div class = 'wrp1'><div class = 'wrp2'>
<table>
<tbody><tr>
<td>
<div class = 'image'>
<div class = 'in'><img src = '/instalscript/images/icons/damage.jpg' title = 'attack' alt = 'attack'></div>
<div class = 'mask' title = 'Атака'>&nbsp;</div>
</div>
</td>
<td>
<div class = 'image'>
<div class = 'in'><img src = '/instalscript/images/icons/armor.jpg' title = 'armor' alt = 'armor'></div>
<div class = 'mask' title = 'Броня'>&nbsp;</div>
</div>
</td>
<td>
<div class = 'image'>
<div class = 'in'><img src = '/instalscript/images/icons/accuracy.jpg' title = 'accuracy' alt = 'accuracy'></div>
<div class = 'mask' title = 'Точность'>&nbsp;</div>
</div>
</td>
<td>
<div class = 'image'>
<div class = 'in'><img src = '/instalscript/images/icons/durability.jpg' title:perfparam.durabilityalt = 'Прочность' alt = 'durability' title = 'durability'></div>
<div class = 'mask' title = 'Прочность'>&nbsp;</div>
</div>
</td>
<td>
<div class = 'image'>
<div class = 'in'><img src = '/instalscript/images/icons/vip.jpg' alt = 'vip' title = 'vip'></div>
<div class = 'mask' title = 'VIP'>&nbsp;</div>
</div>
</td>
</tr>
</tbody></table>
</div></div>
</div>
</div>
";
# */


break;
# Аватарки
case'avatars':
if($is['1'] == 'avatars'){

$nava = mysql_fetch_assoc(mysql_query("SELECT * FROM `avatars` WHERE `id` = '".abs($is['2'])."' "));
if($nava != null){
if($is['3'] == 'yes'){
if($nava['silver'] > $user['silver'] && $nava['gold'] > $user['gold']){logi("Нехватает средств");}
elseif($nava['silver'] > $user['silver']){logi("Нехватет серебра");}
elseif($nava['gold'] > $user['gold']){logi("Нехватет золота");}
elseif($nava['img'] == $user['ava']){logi("Данный аватар уже установлен");}
else{
if($nava['silver'] <= $user['silver'] && $nava['gold'] <= $user['gold']){
mysql_query("UPDATE `users` SET `gold` = `gold` - '".$nava['gold']."',`silver` = `silver` - '".$nava['silver']."',`ava` = '".$nava['img']."' WHERE `id` = '".$uid."' ");
header("Location:/profile/");
}
exit();
}
header("Location:/profile/avatars/".$nava['id']."/");
}


echo "<div class = 'thumb m0a'><img alt = 'avatar' src = '/instalscript/images/avatars/".$nava['img']."'><span class = 'mask1'>&nbsp;</span></div>";
echo "Вы действительно хотите купить этот аватар за</br>";
if($nava['gold'] > '0'){echo "<span class = 'yellow1'><img class = 'ico vm' src = '/instalscript/images/icons/gold.png' alt = 'Золото' title='Золото'> ".$nava['gold']."</span>";}
if($nava['silver'] > '0'){echo "<span class = 'yellow1'><img class = 'ico vm' src = '/instalscript/images/icons/silver.png' alt = 'Серебро' title='Серебро'> ".$nava['silver']."</span>";}
echo "?";
echo "<table>";
echo "<td><a class = 'simple-but border' href = '/profile/avatars/".$nava['id']."/yes/'><span><span>Да</span></span></a></td>";
echo "<td><a class = 'simple-but border' href = '/profile/avatars/'><span><span>Нет</span></span></a></td>";
echo "</table>";
}else{



$ava_query = mysql_query("SELECT * FROM `avatars` ");
$res_ava = mysql_result(mysql_query("SELECT COUNT(*) FROM `avatars` "),0);

$i = '1';
echo "<table>";
while($ava = mysql_fetch_assoc($ava_query)){
$i = abs($i)%$res_ava;
$i2 = $i%2;
if($i2 == '1'){echo "</tr>";}

echo "

<td class = 'pr5 pt2 pb5 w50'>
<div class = 'thumb m0a'><img alt = 'avatar' src = '/instalscript/images/avatars/".$ava['img']."'><span class = 'mask1'>&nbsp;</span></div>

<a class = 'simple-but' href = '/profile/avatars/".$ava['id']."/'><span><span>Купить</span></span></a>
<div class = 'small bold sh_b gray1 mt5 cntr'>Цена";

if($ava['silver'] > '0'){echo "<img class = 'ico vm' src = '/instalscript/images/icons/silver.png' alt = 'Серебро' title = 'Серебро'> ".$ava['silver']."";}
if($ava['gold'] > '0'){echo "<img class = 'ico vm' src = '/instalscript/images/icons/gold.png' alt = 'Золото' title = 'Золото'> ".$ava['gold']."";}

echo "
</div>
</td>
";
$i++;
}
echo "</tr>
<td class = 'pr5 pt2 pb5 w50'>
<div class = 'thumb m0a'><img alt = 'avatar' src = '".user($uid,'ava')."'><span class = 'mask1'>&nbsp;</span></div>
<span class = 'simple-but gray'><span><span>Активен</span></span></span>
</td>
";
echo "</table>";
}
}
break;
# Новая почта
case 'new-pm':
if($is['1'] == 'new-pm'){
$upm = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".abs($is['2'])."' "));
$friend = mysql_fetch_assoc(mysql_query("SELECT * FROM `ufriend` WHERE `uid` = '".$upm['id']."' AND `idu` = '".$uid."' AND `type` = '2' "));
if($upm['id'] == $uid){logi("Писать себе нельзя");header("Location:/profile/");exit();}
if($upm == null){logi("Танкист не найден");header("Location:/profile/");exit();}
if($friend != null){logi("Танкист занёс вас в список врагов");header("Location:/profile/".$upm['id']."/");exit();}


$talku = mysql_fetch_assoc(mysql_query("SELECT * FROM `utalk` WHERE `uid` = '".$uid."' AND `idu` = '".$upm['id']."' "));
if($is['3'] == 'form-check'){

$text = check($_POST['postText']);
$repeat_msg = mysql_fetch_assoc(mysql_query("SELECT * FROM `umsg` WHERE `talk` = '".$talku['id']."' AND `text` = '".$text."' AND `time` > '".(time()-300)."' "));

if(empty($text)){logi("Пустое сообщение");header("Location:/profile/new-pm/".$is['2']."/");exit();}
if(mb_strlen($text) > '250'){logi("Сообщение не должно быть боль 250 сим.");header("Location:/profile/new-pm/".$is['2']."/");exit();}
if($text == $repeat_msg['text']){logi("Сообщение повторяет предыдущие");header("Location:/profile/new-pm/".$is['2']."/");exit();}




$i_talk = mysql_fetch_assoc(mysql_query("SELECT * FROM `utalk` WHERE `uid` = '".$uid."' AND `idu` = '".$upm['id']."' "));
$user_talk = mysql_fetch_assoc(mysql_query("SELECT * FROM `utalk` WHERE `uid` = '".$upm['id']."' AND `idu` = '".$uid."' "));

# Диалог опонента со мной
if($user_talk == null)
{
mysql_query("INSERT INTO `utalk` SET `uid` = '".$upm['id']."',`idu` = '".$uid."',`time` = '".(time())."',`act` = '1' ");
$user_talk_id = mysql_insert_id();
}else{
mysql_query("UPDATE `utalk` SET `time` = '".(time())."',`act` = '1' WHERE `uid` = '".$upm['id']."' AND `idu` = '".$uid."' ");
$user_talk_id = $user_talk['id'];
}

# Мой диалог с данным опонентом
if($i_talk == null){
mysql_query("INSERT INTO `utalk` SET `uid` = '".$uid."',`idu` = '".$upm['id']."',`time` = '".(time())."' ");
$talk_id = mysql_insert_id();
}else{
mysql_query("UPDATE `utalk` SET  `time` = '".(time())."' WHERE `uid` = '".$uid."' AND `idu` = '".$upm['id']."' ");
$talk_id =$i_talk['id'];
}

mysql_query("INSERT INTO `umsg` SET `uid` = '".$uid."',`talk` = '".$talk_id."' ,`idu` = '".$uid."',`act` = '0',`time` = '".(time())."',`type` = '0',`text` = '".$text."' ")or die(mysql_error());
mysql_query("INSERT INTO `umsg` SET `uid` = '".$uid."',`talk` = '".$user_talk_id."',`idu` = '".$upm['id']."',`act` = '1',`time` = '".(time())."',`type` = '0',`text` = '".$text."' ")or die(mysql_error());
header("Location:/profile/pm/talk/".$talk_id."/1/"); # Перекидываем на диалог #
exit();
}


echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>Сообщение для танкиста ".user($upm['id'],'0')."</div>";
echo "
<form w:id = 'postForm' id = 'id1' method = 'post' action = '/profile/new-pm/".$upm['id']."/form-check/'>
<div style = 'width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden'>
<input type = 'hidden' name = 'id1_hf_0' id = 'id1_hf_0'></div>
<table class = 'chat-msg-panel mt10 mb6'>
<tbody><tr>
<td class = 'msg'>
<div class = 'trnt-block mb0'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'p5'>
<textarea class = 'msg-textarea' name = 'postText'></textarea></div>
</div></div></div></div></div><div></div></div></div></div>
</div>
</td>
<td class = 'btn'><span class = 'input-but mb0'><span><input type = 'submit' value = '&nbsp;ok&nbsp;'></span></span></td>
</tr>
</tbody></table>
</form>
";

echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/".$upm['id']."/'><span><span>Вернуться в профиль</span></span></a></div>";
}
break;
# Почта
case'pm':
if($is['1'] == 'pm'){
if($is['2'] == 'talk')
{
$talk = mysql_fetch_assoc(mysql_query("SELECT * FROM `utalk` WHERE `id` = '".abs($is['3'])."' AND `uid` = '".$uid."' "));
if($talk == null){logi("Переписка не найдена");header("Location:/profile/pm/all/");exit();}

if($talk['act'] == '1'){mysql_query("UPDATE `utalk` SET `act` = '0' WHERE `id` = '".$talk['id']."' ");}
if($is['5'] == 'form-check'){
$text = check($_POST['postText']);

$repeat_msg = mysql_fetch_assoc(mysql_query("SELECT * FROM `umsg` WHERE `talk` = '".$talk['id']."'AND `text` = '".$text."' AND `time` > '".(time()-300)."' ")); # or die(mysql_error());
if(empty($text)){logi("Пустое сообщение");header("Location:/profile/pm/talk/".$talk['id']."/".$is['4']."/");exit();}
if(mb_strlen($text) > '250'){logi("Сообщение не должно быть боль 250 сим.");header("Location:/profile/pm/talk/".$talk['id']."/".$is['4']."/");exit();}
if($text == $repeat_msg['text']){logi("Сообщение повторяет предыдущие");header("Location:/profile/pm/talk/".$talk['id']."/".$is['4']."/");exit();}
$friend = mysql_fetch_assoc(mysql_query("SELECT * FROM `ufriend` WHERE `uid` = '".$talk['idu']."' AND `idu` = '".$uid."' AND `type` = '2' "));
if($friend != null){logi("Танкист занёс вас в список врагов");header("Location:/profile/".$talk['idu']."/");exit();}


$i_talk = mysql_fetch_assoc(mysql_query("SELECT * FROM `utalk` WHERE `uid` = '".$uid."' AND `idu` = '".$talk['idu']."' ")); # or die(mysql_error());
$user_talk = mysql_fetch_assoc(mysql_query("SELECT * FROM `utalk` WHERE `uid` = '".$talk['idu']."' AND `idu` = '".$uid."' ")); # or die(mysql_error());

# Диалог опонента со мной
if($user_talk == null)
{
mysql_query("INSERT INTO `utalk` SET `uid` = '".$talk['idu']."',`idu` = '".$uid."',`act` = '1',`time` = '".(time())."' ");
$user_talk_id = mysql_insert_id();
}else{
mysql_query("UPDATE `utalk` SET `time` = '".(time())."',`act` = '1' WHERE `uid` = '".$talk['idu']."' AND `idu` = '".$uid."' ");
$talk_id =$i_talk['id'];
}

# Мой диалог с данным опонентом
if($i_talk == null){
mysql_query("INSERT INTO `utalk` SET `uid` = '".$uid."',`idu` = '".$talk['idu']."', `time` = '".(time())."' ");
$talk_id = mysql_insert_id();
}else{
mysql_query("UPDATE `utalk` SET  `time` = '".(time())."' WHERE `uid` = '".$uid."' AND `idu` = '".$talk['idu']."' ");
$user_talk_id = $user_talk['id'];
}



if($is['6'] == 'cit'){
$msg_cit = mysql_fetch_assoc(mysql_query("SELECT * FROM `umsg` WHERE `id` = '".abs($is['7'])."' AND `talk` = '".$talk['id']."' "));
if($msg_cit['uid'] == $uid){logi("Цитировать себя запрещено");header("Location:/profile/pm/talk/".$talk['id']."/".abs($is['4'])."/");exit();}
if($msg_cit == null){logi("Сообщение для цитирования не найдено");header("Location:/profile/pm/talk/".$talk['id']."/".abs($is['4'])."/");exit();}

mysql_query("INSERT INTO `umsg` SET `uid` = '".$uid."',`talk` = '".$i_talk['id']."' ,`idu` = '".$uid."',`act` = '0',`time` = '".(time())."',`type` = '1',`did` = '".$msg_cit['id']."',`text` = '".$text."' ")or die(mysql_error());
mysql_query("INSERT INTO `umsg` SET `uid` = '".$uid."',`talk` = '".$user_talk['id']."',`idu` = '".$user_talk['uid']."',`act` = '1',`time` = '".(time())."',`type` = '1',`did` = '".$msg_cit['id']."',`text` = '".$text."' ")or die(mysql_error());

}else{

mysql_query("INSERT INTO `umsg` SET `uid` = '".$uid."',`talk` = '".$i_talk['id']."' ,`idu` = '".$uid."',`act` = '0',`time` = '".(time())."',`type` = '0',`text` = '".$text."' ")or die(mysql_error());
mysql_query("INSERT INTO `umsg` SET `uid` = '".$uid."',`talk` = '".$user_talk['id']."',`idu` = '".$user_talk['uid']."',`act` = '1',`time` = '".(time())."',`type` = '0',`text` = '".$text."' ")or die(mysql_error());

}


header("Location:/profile/pm/talk/".$is['3']."/".$is['4']."/");
}


if($is['5'] == 'cit'){
$msg_cit = mysql_fetch_assoc(mysql_query("SELECT * FROM `umsg` WHERE `id` = '".abs($is['6'])."' AND `talk` = '".$talk['id']."' "));
if($msg_cit['uid'] == $uid){logi("Цитировать себя запрещено");header("Location:/profile/pm/talk/".$talk['id']."/".abs($is['4'])."/");exit();}
if($msg_cit == null){logi("Сообщение для цитирования не найдено");header("Location:/profile/pm/talk/".$talk['id']."/".abs($is['4'])."/");exit();}
echo "<div class = 'white cntr bold m5'>Цитировать сообщение</div>";
echo "
<div class = 'trnt-block mb2'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'wrap-content-mini'><div class = 'mt5 mb5 small green1 cntr'>".$msg_cit['text']."</div></div>
</div></div></div></div></div></div></div></div>
</div>
";
echo "<a class = 'simple-but gray mb5' href = '/profile/pm/talk/".$talk['id']."/".abs($is['4'])."/'><span><span>Отменить</span></span></a>";
echo "<form w:id = 'postForm' id = 'id1' method = 'post' action = '/profile/pm/talk/".$talk['id']."/".abs($is['4'])."/form-check/cit/".$msg_cit['id']."'>";
}else{
echo "<form w:id = 'postForm' id = 'id1' method = 'post' action = '/profile/pm/talk/".$talk['id']."/".abs($is['4'])."/form-check/'>";
}


echo "
<div style = 'width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden'>
<input type = 'hidden' name = 'id1_hf_0' id = 'id1_hf_0'></div>
<table class = 'chat-msg-panel mt10 mb6'>
<tbody><tr>
<td class = 'msg'>
<div class = 'trnt-block mb0'>
<div class = 'wrap1'><div class = 'wrap2'><div class = 'wrap3'><div class = 'wrap4'><div class = 'wrap5'><div class = 'wrap6'><div class = 'wrap7'><div class = 'wrap8'>
<div class = 'p5'>
<textarea class = 'msg-textarea' name = 'postText'></textarea>
</div>
</div></div></div></div></div><div></div></div></div></div>
</div>
</td>
<td class = 'btn'><span class = 'input-but mb0'><span><input type = 'submit' value = '&nbsp;ok&nbsp;'></span></span></td>
</tr>
</tbody></table>
</form>
";
$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `umsg` WHERE `uid` = '".$uid."' AND `talk` = '".$talk['id']."' "),0);
$str = '20'; # кол-во записей для вывода
$url = "/profile/pm/talk/".$is['3'].""; # ссылка
$num = abs($is['4']); # текущая страница
$result = $count; # подсчёт
$msg_q = mysql_query("SELECT * FROM `umsg` WHERE `talk` = '".$talk['id']."' ORDER BY `time` DESC LIMIT ".page($num,$str,$result).",$str ");
while($msg = mysql_fetch_assoc($msg_q)){

if($msg['type'] == '1'){
$msg_ct = mysql_fetch_assoc(mysql_query("SELECT * FROM `umsg` WHERE `id` = '".$msg['did']."' "));
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg['uid']."/'>".user($msg['uid'],'1')." </a>,";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg['text']."</span>";
echo " <span class = 'white'>[цит]</span> ";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg_ct['text']."</span>";
if($msg['uid'] != $uid){
echo " <a w:id = 'replyLink' class = 'gray1' href = '/profile/pm/talk/".$talk['id']."/".$num."/cit/".$msg['id']."/'>[цит]</a>";
}

}elseif($uid == $msg['uid']){
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg['uid']."/'>".user($msg['uid'],'1')." </a>,";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg['text']."</span>";
}else{
echo "<a w:id = 'profileLink' class = 'yellow1 td_u' href = '/profile/".$msg['uid']."/'>".user($msg['uid'],'1')." </a>,";
echo " <span w:id = 'text' class = 'white sh_b bold small'>".$msg['text']."</span>";
echo " <a w:id = 'replyLink' class = 'gray1' href = '/profile/pm/talk/".$talk['id']."/".$num."/cit/".$msg['id']."/'>[цит]</a>";
}

if($msg['act'] == '1'){mysql_query("UPDATE `umsg` SET `act` = '0' WHERE `id` = '".$msg['id']."' ");}
echo "</br>";
}
ppage($url,$num,$str,$result);

# */




echo "<a class = 'simple-but gray mb5' href = '/profile/pm/'><span><span>Вернуться в почту</span></span></a>";


}else{
$pm = mysql_fetch_assoc(mysql_query("SELECT * FROM `umsg` WHERE `uid` = '".$uid."' AND `act` = '1' "));
$pm_all = mysql_fetch_assoc(mysql_query("SELECT * FROM `utalk` WHERE `uid` = '".$uid."'  "));
if($is['2'] == '1'){header("Location:/profile/pm/all/");}


echo "
<table>
<tbody><tr>
<td w:id = 'viewButton' style = 'width:50%;padding:0 3px;'>";
echo "<a w:id = 'viewSelectLink' class = 'simple-but blue";
if($is['2'] == 'all'){echo " selected";}
echo " ' href = '/profile/pm/all/'><span><span w:id = 'name'>Все</span> </span></a>";
echo "</td>";
echo "<td w:id = 'viewButton' style = 'width:50%;padding:0 3px;'>";
echo "<a w:id = 'viewSelectLink' class = 'simple-but blue ";
if($is['2'] == 'new'){echo " selected";}
echo "' href = '/profile/pm/new/'><span><span w:id = 'name'>Новые</span> </span></a>";
echo "</td>
</tr>
</tbody></table>
";

if($is['2'] == 'new'){

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `utalk` WHERE `uid` = '".$uid."' AND `act` = '1' "),0);
if($count == '0'){echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>Нет сообщений</div>";}
$str = '5'; # кол-во записей для вывода
$url = "/profile/pm/".$is['2'].""; # ссылка
$num = abs($is['3']); # текущая страница
$result = $count; # подсчёт

$talk_q = mysql_query("SELECT * FROM `utalk` WHERE `uid` = '".$uid."' AND `act` = '1' ORDER BY `time` DESC LIMIT ".page($num,$str,$result).",$str ");
while($talk = mysql_fetch_assoc($talk_q)){
echo "<a class='simple-but border mb1' href = '/profile/pm/talk/".$talk['id']."/'><span><span style = 'text-align: left;'>".user($talk['idu'],'1')."</span></span></a>";
}
ppage($url,$num,$str,$result);

}
else{
if($pm_all == null){
echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>Нет сообщений</div>";
}else{

$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `utalk` WHERE `uid` = '".$uid."' "),0);
$str = '5'; # кол-во записей для вывода
$url = "/profile/pm/".$is['2'].""; # ссылка
$num = abs($is['3']); # текущая страница
$result = $count; # подсчёт

$talk_q = mysql_query("SELECT * FROM `utalk` WHERE `uid` = '".$uid."' ORDER BY `time` DESC LIMIT ".page($num,$str,$result).",$str ");
while($talk = mysql_fetch_assoc($talk_q)){
echo "<a class='simple-but border mb1' href = '/profile/pm/talk/".$talk['id']."/'><span><span style = 'text-align: left;'>".user($talk['idu'],'1')."</span></span></a>";
}
ppage($url,$num,$str,$result);

}
}



echo "<a w:id = 'contactsLink' class = 'simple-but green1' href = '/profile/contacts/'><span><span>Союзники/Враги</span></span></a>";
}
echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/'><span><span>Вернуться в личное дело</span></span></a></div>";
}
break;
# Контакты
case'contacts':
if($is['1'] == 'contacts'){
if($is['2'] == '1'){header("Location:/profile/contacts/contact/");}

echo "
<table>
<tbody><tr>
<td w:id = 'viewButton' style = 'width:50%;padding:0 3px;'>";
echo "<a w:id = 'viewSelectLink' class = 'simple-but blue";
if($is['2'] == 'contact'){echo " selected";}
echo " ' href = '/profile/contacts/contact/'><span><span w:id = 'name'>Контакты</span> </span></a>";
echo "</td>";
echo "<td w:id = 'viewButton' style = 'width:50%;padding:0 3px;'>";
echo "<a w:id = 'viewSelectLink' class = 'simple-but blue ";
if($is['2'] == 'enemy'){echo " selected";}
echo "' href = '/profile/contacts/enemy/'><span><span w:id = 'name'>Враги</span> </span></a>";
echo "</td>
</tr>
</tbody></table>
";
if($is['2'] == 'contact'){$friend_type = '1';$type_friend_del = 'контактов';$link_friend = 'friend';}else{$friend_type = '2';$type_friend_del = 'врагов';$link_friend = 'lock';}


$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `ufriend` WHERE `uid` = '".$uid."'AND `type` = '".$friend_type."' "),0);
if($count == '0'){echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>Список ".$type_friend_del." пуст</div>";}else{

$str = '10'; # кол-во записей для вывода
$url = "/profile/contacts/".$is['2'].""; # ссылка
$num = abs($is['3']); # текущая страница
$result = $count; # подсчёт

$friend_q = mysql_query("SELECT * FROM `ufriend` WHERE `uid` = '".$uid."' AND `type` = '".$friend_type."' ORDER BY `time` DESC LIMIT ".page($num,$str,$result).",$str ");
while($friend = mysql_fetch_assoc($friend_q)){
echo "<span class='simple-but border mb1' ><span><span style = 'text-align: left;'>".user($friend['idu'],'1')."<a href = '/profile/new-pm/".$friend['idu']."/'>  <img src = '/instalscript/images/icons/mail.png' title = 'Написать сообщение' alt = 'Написать сообщение'></a>  <a href = '/profile/".$friend['idu']."/".$link_friend."/'><img src = '/instalscript/images/icons/delete.png' title = 'Удалить из ".$type_friend_del."' alt = 'Удалить из ".$type_friend_del."'></a></span></span></span>";
}

ppage($url,$num,$str,$result);
}

echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/'><span><span>Вернуться в личное дело</span></span></a></div>";
}
break;
# Трофеи
case'trofies':
if($is['1'] == 'trofies'){
$trof1 = mysql_result(mysql_query("SELECT COUNT(*) FROM `utrofie` WHERE `trof` = 'flask' AND `amount` >= '1' AND `uid` = '".$uid."' "),0);
$trof2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `utrofie` WHERE `trof` = 'helmet' AND `amount` >= '1'  AND `uid` = '".$uid."' "),0);
$trof3 = mysql_result(mysql_query("SELECT COUNT(*) FROM `utrofie` WHERE `trof` = 'compass' AND `amount` >= '1'  AND `uid` = '".$uid."' "),0);
$trof4 = mysql_result(mysql_query("SELECT COUNT(*) FROM `utrofie` WHERE `trof` = 'cigarcase' AND `amount` >= '1'  AND `uid` = '".$uid."' "),0);
$trof5 = mysql_result(mysql_query("SELECT COUNT(*) FROM `utrofie` WHERE `trof` = 'mapcase' AND `amount` >= '1'  AND `uid` = '".$uid."' "),0);
$trof6 = mysql_result(mysql_query("SELECT COUNT(*) FROM `utrofie` WHERE `trof` = 'standard' AND `amount` >= '1'  AND `uid` = '".$uid."' "),0);
$trof7 = mysql_result(mysql_query("SELECT COUNT(*) FROM `utrofie` WHERE `trof` = 'pistol' AND `amount` >= '1'  AND `uid` = '".$uid."' "),0);
$trof8 = mysql_result(mysql_query("SELECT COUNT(*) FROM `utrofie` WHERE `trof` = 'decoration' AND `amount` >= '1'  AND `uid` = '".$uid."' "),0);
$trofei1 = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = 'flask' AND `amount` >= '1'  AND `uid` = '".$uid."' "));if($trofei1 == null){$trofei1['amount'] = '0';}
$trofei2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = 'helmet' AND `amount` >= '1' AND `uid` = '".$uid."' "));if($trofei2 == null){$trofei2['amount'] = '0';}
$trofei3 = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = 'compass' AND `amount` >= '1'  AND `uid` = '".$uid."' "));if($trofei3 == null){$trofei3['amount'] = '0';}
$trofei4 = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = 'cigarcase' AND `amount` >= '1' AND `uid` = '".$uid."'  "));if($trofei4 == null){$trofei4['amount'] = '0';}
$trofei5 = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = 'mapcase' AND `amount` >= '1' AND `uid` = '".$uid."'  "));if($trofei5 == null){$trofei5['amount'] = '0';}
$trofei6 = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = 'standard' AND `amount` >= '1'  AND `uid` = '".$uid."' "));if($trofei6 == null){$trofei6['amount'] = '0';}
$trofei7 = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = 'pistol' AND `amount` >= '1'  AND `uid` = '".$uid."' "));if($trofei7 == null){$trofei7['amount'] = '0';}
$trofei8 = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = 'decoration' AND `amount` >= '1'  AND `uid` = '".$uid."' "));if($trofei8 == null){$trofei8['amount'] = '0';}

$trof_one = $trof1 + $trof2 + $trof3 + $trof4;
$trof_two = $trof5 + $trof6 + $trof7 + $trof8;

if($is['2'] == 'give1'){
if($trof_one < '4'){
logi("Нехватает трофеев");
}else{
$rand = mt_rand(5,16);
if($rand >= '5' && $rand <= '8'){
$utrof = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = '".trofeis($rand,'1')."' AND `uid` = '".$uid."' "));
logi("[img]/instalscript/images/trofies/".trofeis($rand,'1').".png[/img] ".trofeis($rand,'2')." +1");
if($utrof == null){
mysql_query("INSERT INTO `utrofie` SET `trof` = '".trofeis($rand,'1')."',`amount` = '1',`uid` = '".$uid."',`time` = '".(time())."' ")or die(mysql_error());
}else{
mysql_query("UPDATE `utrofie` SET `amount` = `amount` + '1' WHERE `id` = '".$utrof['id']."' ");
}
}elseif($rand == '9'){
logi("[img]/instalscript/images/icons/silver.png[/img]Серебро +150");
mysql_query("UPDATE `users` SET `silver` = `silver` + '150' WHERE `id` = '".$uid."'  ");
}elseif($rand == '10'){
logi("[img]/instalscript/images/icons/gold.png[/img]Золото +5");
mysql_query("UPDATE `users` SET `gold` = `gold` + '5' WHERE `id` = '".$uid."'  ");
}elseif($rand >= '11'){
$rand_exp = mt_rand(100,200);
logi("[img]/instalscript/images/icons/exp.png[/img]Опыт +".$rand_exp."");
mysql_query("UPDATE `users` SET `exp` = `exp` + '".$rand_exp."' WHERE `id` = '".$uid."'  ");
}



mysql_query("UPDATE `utrofie` SET `amount` = `amount` - '1' WHERE `id` = '".$trofei1['id']."' ")or die(mysql_error());
mysql_query("UPDATE `utrofie` SET `amount` = `amount` - '1' WHERE `id` = '".$trofei2['id']."' ")or die(mysql_error());
mysql_query("UPDATE `utrofie` SET `amount` = `amount` - '1' WHERE `id` = '".$trofei3['id']."' ")or die(mysql_error());
mysql_query("UPDATE `utrofie` SET `amount` = `amount` - '1' WHERE `id` = '".$trofei4['id']."' ")or die(mysql_error());

}
header("Location:/profile/trofies/");
exit();
}
if($is['2'] == 'give2'){
if($trof_two < '4'){logi("Нехватает трофеев");}
else{
$rand = mt_rand(1,5);
if($rand == '1'){
$rand_silver = mt_rand(500,600);
logi("[img]/instalscript/images/icons/silver.png[/img] Серебро + $rand_silver");
mysql_query("UPDATE `users` SET `silver` = `silver` + '".$rand_silver."' WHERE `id` = '".$uid."'  ");
}
elseif($rand == '2'){
$rand_exp = mt_rand(500,600);
logi("[img]/instalscript/images/icons/exp.png[/img] Опыт + $rand_exp");
mysql_query("UPDATE `users` SET `exp` = `exp` + '".$rand_exp."' WHERE `id` = '".$uid."'  ");
}
elseif($rand == '3'){
$rand_gold = mt_rand(5,15);
logi("[img]/instalscript/images/icons/gold.png[/img] Золото + $rand_gold");
mysql_query("UPDATE `users` SET `gold` = `gold` + '".$rand_gold."' WHERE `id` = '".$uid."'  ");
}
elseif($rand == '4'){
$rand_trof = mt_rand(1,4);
$amount = mt_rand(2,6);
$utrof = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = '".trofeis($rand_trof,'1')."' AND `uid` = '".$uid."' "));
if($utrof == null){
mysql_query("INSERT INTO `utrofie` SET `trof` = '".trofeis($rand_trof,'1')."',`amount` = '".$amount."',`uid` = '".$uid."',`time` = '".(time())."' ")or die(mysql_error());
}else{
mysql_query("UPDATE `utrofie` SET `amount` = `amount` + '".$amount."' WHERE `id` = '".$utrof['id']."' ");
}
logi("[span class = green2 mt10 sh_b]".trofeis($rand_trof,'2')."[/span] + $amount шт.");
}
elseif($rand = '5'){
$rand_trof = mt_rand(5,8);
$amount = mt_rand(2,6);
$utrof = mysql_fetch_assoc(mysql_query("SELECT * FROM `utrofie` WHERE `trof` = '".trofeis($rand_trof,'1')."' AND `uid` = '".$uid."' "));
if($utrof == null){
mysql_query("INSERT INTO `utrofie` SET `trof` = '".trofeis($rand_trof,'1')."',`amount` = '".$amount."',`uid` = '".$uid."',`time` = '".(time())."' ")or die(mysql_error());
}else{
mysql_query("UPDATE `utrofie` SET `amount` = `amount` + '".$amount."' WHERE `id` = '".$utrof['id']."' ");
}
logi("[span class = green2 mt10 sh_b]".trofeis($rand_trof,'2')."[/span] + $amount шт.");
}
mysql_query("UPDATE `utrofie` SET `amount` = `amount` - '1' WHERE `id` = '".$trofei5['id']."' ")or die(mysql_error());
mysql_query("UPDATE `utrofie` SET `amount` = `amount` - '1' WHERE `id` = '".$trofei6['id']."' ")or die(mysql_error());
mysql_query("UPDATE `utrofie` SET `amount` = `amount` - '1' WHERE `id` = '".$trofei7['id']."' ")or die(mysql_error());
mysql_query("UPDATE `utrofie` SET `amount` = `amount` - '1' WHERE `id` = '".$trofei8['id']."' ")or die(mysql_error());
}

header("Location:/profile/trofies/");
exit();
}



echo "<div class = 'wrap-content cntr'>";
echo "<div class = 'green2 sh_b bold'>Части трофея ".$trof_one." из 4</div>";
echo "
<div class = 'fs0 mt5 mb5 cD2'>
<span class = 'nwr small plr4'><img class = 'va_m' width = '24' height = '24' src = '/instalscript/images/trofies/Flask.png' alt = 'Фляжка' title = 'Фляжка'> - <span class = 'green2 bold'>".$trofei1['amount']."</span></span>
<span class = 'nwr small plr4'><img class = 'va_m' width = '24' height = '24' src = '/instalscript/images/trofies/Helmet.png' alt = 'Каска' title = 'Каска'> - <span class = 'green2 bold'>".$trofei2['amount']."</span></span>
<span class = 'nwr small plr4'><img class = 'va_m' width = '24' height = '24' src = '/instalscript/images/trofies/Compass.png' alt = 'Компас' title = 'Компас'> - <span class = 'green2 bold'>".$trofei3['amount']."</span></span>
<span class = 'nwr small plr4'><img class = 'va_m' width = '24' height = '24' src = '/instalscript/images/trofies/CigarCase.png' alt = 'Портсигар' title = 'Портсигар'> - <span class = 'green2 bold'>".$trofei4['amount']."</span></span>
</div>


<a class = 'simple-but border' w:id = 'joinComponents' href = '/profile/trofies/give1/'><span><span>Получить трофей</span></span></a>
<div class = 'green2 mt10 sh_b bold'>Трофеев ".$trof_two." из 4</div>
<div class = 'fs0 mt5 mb5 cD2'>
<span class = 'nwr small plr4'><img class = 'va_m' width = '50' height = '50' src = '/instalscript/images/trofies/MapCase.png' alt = 'Планшет командира' title = 'Планшет командира'><span class = 'green2 bold'>".$trofei5['amount']."</span></span>
<span class = 'nwr small plr4'><img class = 'va_m' width = '50' height = '50' src = '/instalscript/images/trofies/Standard.png' alt = 'Боевое знамя' title = 'Боевое знамя'><span class = 'green2 bold'>".$trofei6['amount']."</span></span>
<span class = 'nwr small plr4'><img class = 'va_m' width = '50' height = '50' src = '/instalscript/images/trofies/Pistol.png' alt = 'Табельный пистолет' title = 'Табельный пистолет'><span class = 'green2 bold'>".$trofei7['amount']."</span></span>
<span class = 'nwr small plr4'><img class = 'va_m' width = '50' height = '50' src = '/instalscript/images/trofies/Decoration.png' alt = 'Знак отличия' title = 'Знак отличия'><span class = 'green2 bold'>".$trofei8['amount']."</span></span>
</div>


<a class = 'simple-but border' w:id = 'joinTrofies' href = '/profile/trofies/give2/'><span><span>Получить награду</span></span></a>";

/*
echo "<div class = 'green2 mt10 sh_b bold'>Удачливые танкисты:</div>";
echo "<table class = 'mt5 ta_l'>";
echo "<tbody>";
echo "<tr w:id = 'lucks'>
<td class = 'va_m w100'><a href = '/ссылка на игрока'>
<img class = 'vb' src = '/сторона'>
 <span class = 'yellow1'>Ник игрока</span></a></td>
<td class = 'small bold va_m white nwr pl5 ta_r'>
<span class = 'nwr'>
<img class = 'ico vm' src = '/instalscript/images/trofies/gold.png' alt = 'Золото' title = 'Золото'> 100 золота</span>
</td>
</tr>
";


echo "</tbody>";
echo "</table>";
# */
echo "</div>";


echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/'><span><span>Вернуться в личное дело</span></span></a></div>";
}
break;
# Тренировка
case'training':
echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>В разработке!</div>";
echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/'><span><span>Вернуться в личное дело</span></span></a></div>";
break;
# Умения
case'skills':
echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>В разработке!</div>";
echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/'><span><span>Вернуться в личное дело</span></span></a></div>";
break;
# Экипж
case'crew':
echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>В разработке!</div>";
echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/'><span><span>Вернуться в личное дело</span></span></a></div>";
break;
# Усиления
case'vip':
echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>В разработке!</div>";
echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/'><span><span>Вернуться в личное дело</span></span></a></div>";
break;
# Навыки
case'shellskills':
echo "<div w:id = 'noMessagesLabel' class = 'white cntr bold m5'>В разработке!</div>";
echo "<div class = 'bot'><a class = 'simple-but gray mb5' href = '/profile/'><span><span>Вернуться в личное дело</span></span></a></div>";
break;
}

echo "
</div>
</div></div></div></div></div></div></div></div>
</div>
";



foot($uid);

?>